<?php

/*
|--------------------------------------------------------------------------
| Validation Language Lines
|--------------------------------------------------------------------------
|
| The following language lines contain the default error messages used by
| the validator class. Some of these rules have multiple versions such
| as the size rules. Feel free to tweak each of these messages here.
|
*/

return [
    'accepted'             => 'Ang :attribute ay dapat tanggapin.',
    'active_url'           => 'Ang :attribute ay hindi balidong URL.',
    'after'                => 'Ang :attribute ay dapat petsa pagkatapos ng :date.',
    'after_or_equal'       => 'The :attribute must be a date after or equal to :date.',
    'alpha'                => 'Ang :attribute ay maaaring magtaglay ng mga letra lang.',
    'alpha_dash'           => 'Ang :attribute ay maaaring magtaglay ng mga letra, numero at gitling lang.',
    'alpha_num'            => 'Ang :attribute ay maaaring magtaglay ng mga letra at numero lang.',
    'array'                => 'Ang :attribute ay dapat magkakasunod.',
    'attached'             => 'This :attribute is already attached.',
    'before'               => 'Ang :attribute ay dapat petsa bago ang :date.',
    'before_or_equal'      => 'The :attribute must be a date before or equal to :date.',
    'between'              => [
        'array'   => 'Ang :attribute ay dapat nasa pagitan ng :min at :max items.',
        'file'    => 'Ang :attribute ay dapat nasa pagitan ng :min at :max kilobytes.',
        'numeric' => 'Ang :attribute ay dapat nasa pagitan ng :min at :max.',
        'string'  => 'Ang :attribute ay dapat nasa pagitan ng :min at :max characters.',
    ],
    'boolean'              => 'Ang :attribute ng attribute ay dapat tama o mali.',
    'confirmed'            => 'Ang :attribute ng attribute ay hindi magkatugma.',
    'date'                 => 'Ang :attribute ay hindi balidong petsa.',
    'date_equals'          => 'The :attribute must be a date equal to :date.',
    'date_format'          => 'Ang :attribute ay hindi katugma ng format :format.',
    'different'            => 'Ang :attribute at :other pa ay dapat magkaiba.',
    'digits'               => 'Ang :attribute ay dapat :digits digits.',
    'digits_between'       => 'Ang :attribute ay dapat nasa pagitan ng :min at :max digits.',
    'dimensions'           => 'The :attribute has invalid image dimensions.',
    'distinct'             => 'Ang :attribute ng attribute ay may katulad na balyu.',
    'email'                => 'Ang :attribute ay dapat balidong email address.',
    'ends_with'            => 'The :attribute must end with one of the following: :values.',
    'exists'               => 'Ang piniling :attribute ay imbalido.',
    'file'                 => 'The :attribute must be a file.',
    'filled'               => 'Ang :attribute ng attribute ay kailangan.',
    'gt'                   => [
        'array'   => 'The :attribute must have more than :value items.',
        'file'    => 'The :attribute must be greater than :value kilobytes.',
        'numeric' => 'The :attribute must be greater than :value.',
        'string'  => 'The :attribute must be greater than :value characters.',
    ],
    'gte'                  => [
        'array'   => 'The :attribute must have :value items or more.',
        'file'    => 'The :attribute must be greater than or equal :value kilobytes.',
        'numeric' => 'The :attribute must be greater than or equal :value.',
        'string'  => 'The :attribute must be greater than or equal :value characters.',
    ],
    'image'                => 'Ang :attribute ay dapat isang imahe.',
    'in'                   => 'Ang piniling :attribute ay imbalido.',
    'in_array'             => 'Ang :attribute ng attribute ay wala sa :other.',
    'integer'              => 'Ang :attribute ay dapat isang integer.',
    'ip'                   => 'Ang :attribute ay dapat isang balidong IP address.',
    'ipv4'                 => 'The :attribute must be a valid IPv4 address.',
    'ipv6'                 => 'The :attribute must be a valid IPv6 address.',
    'json'                 => 'Ang :attribute ay dapat isang balidong JSON string.',
    'lt'                   => [
        'array'   => 'The :attribute must have less than :value items.',
        'file'    => 'The :attribute must be less than :value kilobytes.',
        'numeric' => 'The :attribute must be less than :value.',
        'string'  => 'The :attribute must be less than :value characters.',
    ],
    'lte'                  => [
        'array'   => 'The :attribute must not have more than :value items.',
        'file'    => 'The :attribute must be less than or equal :value kilobytes.',
        'numeric' => 'The :attribute must be less than or equal :value.',
        'string'  => 'The :attribute must be less than or equal :value characters.',
    ],
    'max'                  => [
        'array'   => 'Ang :attribute ay hindi maaaring higit sa :max items.',
        'file'    => 'Ang :attribute ay hindi maaaring higit sa  :max kilobytes.',
        'numeric' => 'Ang :attribute ay hindi maaaring higit sa  :max.',
        'string'  => 'Ang :attribute ay hindi maaaring higit sa :max characters.',
    ],
    'mimes'                => 'Ang :attribute ay dapat file ng uri na: :values.',
    'mimetypes'            => 'The :attribute must be a file of type: :values.',
    'min'                  => [
        'array'   => 'Ang :attribute ay dapat di-kukulangin sa :min items.',
        'file'    => 'Ang :attribute ay dapat di-kukulangin sa :min kilobytes.',
        'numeric' => 'Ang :attribute ay dapat di-kukulangin sa :min.',
        'string'  => 'Ang :attribute ay dapat di-kukulangin sa :min characters.',
    ],
    'multiple_of'          => 'The :attribute must be a multiple of :value',
    'not_in'               => 'Ang piniling :attribute ay imbalido.',
    'not_regex'            => 'The :attribute format is invalid.',
    'numeric'              => 'Ang :attribute ay dapat isang numero.',
    'password'             => 'The password is incorrect.',
    'present'              => 'Ang :attribute ng attribute ay dapat naroon.',
    'prohibited'           => 'The :attribute field is prohibited.',
    'prohibited_if'        => 'The :attribute field is prohibited when :other is :value.',
    'prohibited_unless'    => 'The :attribute field is prohibited unless :other is in :values.',
    'regex'                => 'Ang :attribute ng attribute ay imbalido.',
    'relatable'            => 'This :attribute may not be associated with this resource.',
    'required'             => 'Ang :attribute ng attribute ay kailangan.',
    'required_if'          => 'Ang :attribute ng attribute ay kailangan kapag :other iba ay :value.',
    'required_unless'      => 'Ang :attribute ng attribute ay kailangan maliban kung :other iba ay nasa :values.',
    'required_with'        => 'Ang :attribute ng attribute ay kailangan kapag :values balyu ang naroon.',
    'required_with_all'    => 'Ang :attribute ng attribute ay kailangan kapag :values balyu ang naroon.',
    'required_without'     => 'Ang :attribute ng attribute ay kailangan kapag :values balyu ang naroon.',
    'required_without_all' => 'Ang :attribute ng attribute ay kailangan kapag wala sa :values balyu ang naroon.',
    'same'                 => 'Ang :attribute at :other pa ay dapat magtugma.',
    'size'                 => [
        'array'   => 'Ang :attribute ay dapat magtaglay ng :size sa items.',
        'file'    => 'Ang :attribute ay dapat :size sukat sa kilobytes.',
        'numeric' => 'Ang :attribute ay dapat :size sukat.',
        'string'  => 'Ang :attribute ay dapat :size sukat sa characters.',
    ],
    'starts_with'          => 'The :attribute must start with one of the following: :values.',
    'string'               => 'Ang  :attribute ay dapat isang string.',
    'timezone'             => 'Ang :attribute ay dapat isang balidong sona.',
    'unique'               => 'Ang :attribute ay nakuha na.',
    'uploaded'             => 'The :attribute failed to upload.',
    'url'                  => 'Ang :attribute ng attribute ay imbalido.',
    'uuid'                 => 'The :attribute must be a valid UUID.',
    'custom'               => [
        'attribute-name' => [
            'rule-name' => 'pasadyang-mensahe',
        ],
    ],
    'attributes'           => [
        'image'                   => 'Imahe',
        'result_text_under_image' => 'Resultang teksto sa ilalim ng imahe',
        'short_text'              => 'Maikling teksto',
        'test_description'        => 'Subok na paglalarawan',
        'test_locale'             => 'Wika',
        'test_name'               => 'Subok na pangalan',
    ],
];
